<? include_once("../includes/main.inc.php");

$headerTitleName = "Add New Sub City";



$page_id = $_REQUEST['page_id'];

$country_id = '1';

$country_name = addslashes($country_name);

$title = addslashes($title);

$description = addslashes($description);

$keyword = addslashes($keyword);

$block_title = addslashes($block_title);

$block_descriptions = addslashes($block_descriptions);

$block_ad1 = addslashes($block_ad1);

$block_ad2 = addslashes($block_ad2);

$block_ad3 = addslashes($block_ad3);



	

if(is_post_back()) {







	if($page_id!='') {		 

	

		

		$sql = "update `tbl_block` set 

		 block_name='".addslashes($block_name)."',

		 block_short_name='".addslashes($block_short_name)."',

		 city_id='$city_id', 

		 county_id='$county_id', 

		 state_id='$state_id',

		 country_id='$country_id',

		 title='".addslashes($title)."',description='".addslashes($description)."',keyword='".addslashes($keyword)."',block_title='".addslashes($block_title)."',

		 block_descriptions='".addslashes($block_descriptions)."',block_ad1='".addslashes($block_ad1)."',block_ad2='".addslashes($block_ad2)."',block_ad3='".addslashes($block_ad3)."',  

		 block_status='$block_status',  

		 block_modified=now()  

		 where block_id = $page_id ";

		db_query($sql);

		

		########### Uploading Image ################

		if($_FILES['sv_image']['name']!='')

		{

			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){

				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);

			}

			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");

			$n_width=120; // Fix the width of the thumb nail images

			$n_height=90; // Fix the height of the thumb nail imaage

			

			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;

			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored

			

			//echo $tsrc;

			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";

			exit;}

				///////// starting of JPG thumb nail creation//////////

			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")

			{

				$im=ImageCreateFromJPEG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImageJpeg($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			else{

				$im=ImageCreateFromPNG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImagePng($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			

			db_query("update tbl_block set block_banner='".$sv_image_1."' where block_id = $page_id ");

		}

		

		set_session_msg("Sub City updated successfully.");	

	

	} else{	

	

	   ########### Uploading Image ################

		if($_FILES['sv_image']['name']!='')

		{

			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){

				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);

			}

			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");

			$n_width=120; // Fix the width of the thumb nail images

			$n_height=90; // Fix the height of the thumb nail imaage

			

			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;

			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored

			

			//echo $tsrc;

			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";

			exit;}

				///////// starting of JPG thumb nail creation//////////

			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")

			{

				$im=ImageCreateFromJPEG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImageJpeg($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			else{

				$im=ImageCreateFromPNG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImagePng($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			

		}

	 

		$sql = "insert into `tbl_block` set 		

		 block_name='".addslashes($block_name)."',

		 block_short_name='".addslashes($block_short_name)."',

		 city_id='$city_id', 

		 county_id='$county_id', 

		 state_id='$state_id', 

		 country_id='$country_id', 

		 title='".addslashes($title)."',description='".addslashes($description)."',keyword='".addslashes($keyword)."',block_title='".addslashes($block_title)."',

		 block_descriptions='".addslashes($block_descriptions)."',block_ad1='".addslashes($block_ad1)."',block_ad2='".addslashes($block_ad2)."',block_ad3='".addslashes($block_ad3)."',

		 block_banner='$sv_image_1',

		 block_status='$block_status',

		 block_join=now() ";

		db_query($sql);

		set_session_msg("New Sub City added successfully.");

	}

	header("Location: block.php?start=$start");

	exit;

}



$page_id = $_REQUEST['page_id'];

if($page_id!='') {

	$sql = "select * from `tbl_block` where block_id = '$page_id'";

	$result = db_query($sql);

	if ($line_raw = mysql_fetch_array($result)) {

		//$line_raw = ms_form_value($line_raw);

		@extract($line_raw);

	}

}

?>

<link href="styles.css" rel="stylesheet" type="text/css">



<? include("top.inc.php");?>

<table width="100%" border="0" cellspacing="0" cellpadding="0">

  <tr>

    <td id="pageHead"><div id="txtPageHead">

       Add/Edit - Sub City</div></td>

  </tr>

</table>

<script type="text/javascript" src="fckeditor/fckeditor.js"></script>

<table width="80%" align="left">

		  	<tr><td>

		  	<form method="post" action="" enctype="multipart/form-data" name="form1" id="form1" onSubmit="return validate(this);">

        <table width="80%" align="center" border=0 cellpadding="0"  cellspacing="0" class="text">

    	<tr>

		<td  colspan="2"height="30"  align="right"><a href="block.php?start=<?=$start?>" class="redcolor"><strong>Back To  Sub City

 List</strong></a></td>

		</tr>    

        <tr><td height="15"><div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br /></td></tr>  

		



      <!--<tr>

		  <td class="lables"><b>Services Name</b></td>

          <td class="feildstxt">

          	<select id="country_id" name="country_id" onchange="getState()">

          		<?php

          		/*$sqls=mysql_query("select * from tbl_country where country_status=1");

          		while($ress=mysql_fetch_array($sqls))

          		{

          			if($ress['country_id']==$country_id)

          			{

						echo "<option value='".$ress['country_id']."' selected>".$ress['country_name']."</option>";

					}

					else

					{

						echo "<option value='".$ress['country_id']."'>".$ress['country_name']."</option>";

					}

				}*/

          		?>

          	</select>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr> -->

        <tr>

		  <td class="lables"><b>State Name</b></td>

          <td class="feildstxt">

          	<select id="state_id" name="state_id" onchange="getCounty()">

          		<!--<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>-->

                <?php

          		$sqls=mysql_query("select * from tbl_state where state_status=1 order by state_name ASC");

          		while($ress=mysql_fetch_array($sqls))

          		{

          			if($ress['state_id']==$state_id)

          			{

						echo "<option value='".$ress['state_id']."' selected>".$ress['state_name']."</option>";

					}

					else

					{

						echo "<option value='".$ress['state_id']."'>".$ress['state_name']."</option>";

					}

				}

          		?>

          	</select>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr> 

        <tr>

		  <td class="lables"><b>County Name</b></td>

          <td class="feildstxt">

          	<select id="county_id" name="county_id" onchange="getCity()">

          		<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>

          	</select>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr> 

        

        <tr>

		  <td class="lables"><b>City Name</b></td>

          <td class="feildstxt">

          	<select id="city_id" name="city_id">

          		<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>

          	</select>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr> 



        <tr>

		  <td class="lables"><b> Sub City Name</b></td>

          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($block_name)?>" name="block_name" id="block_name"  /></td>

        </tr>

        <tr><td>&nbsp;</td></tr>
        
        <tr>

		  <td class="lables"><b> Sub City Short Name</b></td>

          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($block_short_name)?>" name="block_short_name" id="block_short_name"  /></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Status</b></td>

          <td class="feildstxt"><select name="block_status" id="block_status">

          <option value="1" <?php if($block_status=='1'){ echo 'selected="selected"'; } ?>>Active</option>

          <option value="0" <?php if($block_status=='0'){ echo 'selected="selected"'; } ?>>InActive</option>          

          </select></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

       <tr>

		  <td class="lables" colspan="2"><hr/></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Title </b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="title" id="title"  ><?=stripslashes($title)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Description </b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="description" id="description"  ><?=stripslashes($description)?></textarea></td>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Keyword</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="keyword" id="keyword"  ><?=stripslashes($keyword)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <!--<tr><td>&nbsp;</td></tr>

        <tr>

		  <td class="lables" colspan="2"><hr/></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Banner Image</b></td>

          <td class="feildstxt"><input type="file" name="sv_image" id="sv_image"  /></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        <tr>

		  <td class="lables"><b>Current Banner Image</b></td>

          <td class="feildstxt">

         <? /*if($page_id!='')

            {

                $sv_image = $block_banner;

                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){

                $imgsrc=UP_FILES_WS_PATH."/banner/thumb/".$sv_image;

                $size=getimagesize(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);

				echo '<img src="'.$imgsrc.'" alt="No Image"  />';

                }

				else{  echo 'NO Images'; }

				

				

                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/original/".$sv_image)){

                $imgsrcBig=UP_FILES_WS_PATH."/banner/original/".$sv_image;

                $size=getimagesize(UP_FILES_FS_PATH."/banner/original/".$sv_image);

                $img=ImageCreateFromJPEG($imgsrcBig);

                $width=ImageSx($img); // Original picture width is stored

                $height=ImageSy($img); // Original picture height is stored

                }

				

			}*/

            ?>

             

            </td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Sub City Title</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="block_title" id="block_title"  ><?=stripslashes($block_title)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

         <tr>

		  <td class="lables"><b>Sub City Descriptions</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="block_descriptions" id="block_descriptions"  ><?=stripslashes($block_descriptions)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Ad1</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="block_ad1" id="block_ad1"  ><?=stripslashes($block_ad1)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Ad2</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="block_ad2" id="block_ad2"  ><?=stripslashes($block_ad2)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Ad3</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="block_ad3" id="block_ad3"  ><?=stripslashes($block_ad3)?></textarea></td>

        </tr>-->

        

        <tr>

        <td align="left" class="lables">&nbsp;</td>

        <td align="left" class="feildstxt"><input class="button" type="submit" name="submit" value="Save"></td>

        </tr>

        <tr><td height="25">&nbsp;</td></tr>

   </table>

    </form>

    </td></tr></table>  

    <script>

    function getState()

	{

		$("#state_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');

		$.post('get_state.php',{country_id:$("#country_id").val(),edit_state_id:$("#hfstateId").val()},function(data,status){

			if(status='success')

			{	

				$("#state_id").html(data);

				getCounty();

			}

			else{

				alert("Something Going Error");	

			}

		});

	}

	

	function getCounty()

	{

		$("#county_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');

		$.post('get_county.php',{state_id:$("#state_id").val(),country_id:$("#country_id").val(),edit_county_id:'<?php echo $county_id; ?>'},function(data,status){

			if(status='success')

			{	

				$("#county_id").html(data);

				getCity();

			}

			else{

				alert("Something Going Error");	

			}

		});

	}

	

	function getCity()

	{

		$("#city_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');

		$.post('get_city.php',{county_id:$("#county_id").val(),state_id:$("#state_id").val(),edit_city_id:'<?php echo $city_id; ?>'},function(data,status){

			if(status='success')

			{	

				$("#city_id").html(data);

			}

			else{

				alert("Something Going Error");	

			}

		});

	}

	getCounty();

	// getState();

	 

	

</script>  

<!--<script type="text/javascript">

		 var oFCKeditor=new FCKeditor('block_descriptions','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('block_ad1','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('block_ad2','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('block_ad3','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>  -->

  <? include("bottom.inc.php");?>